Package fr.gouv.vitam.common.model.unit

# Class EventTypeModel

java.lang.Object
fr.gouv.vitam.common.model.unit.EventTypeModel

public class EventTypeModel extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventTypeModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getEventDateTime()`
  `String`
  `getEventDetail()`
  `String`
  `getEventDetailData()`
  `String`
  `getEventIdentifier()`
  `String`
  `getEventType()`
  `String`
  `getEventTypeCode()`
  `List<LinkingAgentIdentifierTypeModel>`
  `getLinkingAgentIdentifier()`
  `String`
  `getOutcome()`
  `String`
  `getOutcomeDetail()`
  `String`
  `getOutcomeDetailMessage()`
  `EventTypeModel`
  `setEventDateTime(String eventDateTime)`
  `EventTypeModel`
  `setEventDetail(String eventDetail)`
  `EventTypeModel`
  `setEventDetailData(String eventDetailData)`
  `EventTypeModel`
  `setEventIdentifier(String eventIdentifier)`
  `EventTypeModel`
  `setEventType(String eventType)`
  `EventTypeModel`
  `setEventTypeCode(String eventTypeCode)`
  `EventTypeModel`
  `setLinkingAgentIdentifier(List<LinkingAgentIdentifierTypeModel> linkingAgentIdentifier)`
  `EventTypeModel`
  `setOutcome(String outcome)`
  `EventTypeModel`
  `setOutcomeDetail(String outcomeDetail)`
  `EventTypeModel`
  `setOutcomeDetailMessage(String outcomeDetailMessage)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EventTypeModel

    public EventTypeModel()

- ## Method Details

  - ### getEventIdentifier

    public String getEventIdentifier()

  - ### setEventIdentifier

    public EventTypeModel setEventIdentifier(String eventIdentifier)

  - ### getEventTypeCode

    public String getEventTypeCode()

  - ### setEventTypeCode

    public EventTypeModel setEventTypeCode(String eventTypeCode)

  - ### getEventType

    public String getEventType()

  - ### setEventType

    public EventTypeModel setEventType(String eventType)

  - ### getEventDateTime

    public String getEventDateTime()

  - ### setEventDateTime

    public EventTypeModel setEventDateTime(String eventDateTime)

  - ### getEventDetail

    public String getEventDetail()

  - ### setEventDetail

    public EventTypeModel setEventDetail(String eventDetail)

  - ### getOutcome

    public String getOutcome()

  - ### setOutcome

    public EventTypeModel setOutcome(String outcome)

  - ### getOutcomeDetail

    public String getOutcomeDetail()

  - ### setOutcomeDetail

    public EventTypeModel setOutcomeDetail(String outcomeDetail)

  - ### getOutcomeDetailMessage

    public String getOutcomeDetailMessage()

  - ### setOutcomeDetailMessage

    public EventTypeModel setOutcomeDetailMessage(String outcomeDetailMessage)

  - ### getEventDetailData

    public String getEventDetailData()

  - ### setEventDetailData

    public EventTypeModel setEventDetailData(String eventDetailData)

  - ### getLinkingAgentIdentifier

    public List<LinkingAgentIdentifierTypeModel> getLinkingAgentIdentifier()

  - ### setLinkingAgentIdentifier

    public EventTypeModel setLinkingAgentIdentifier(List<LinkingAgentIdentifierTypeModel> linkingAgentIdentifier)